using System;
using Clugs;

namespace Example
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Clugs : IPlugin
	{
        string pTxt;
        string rtf;
        string pat;
		string m_strName;
		private IPluginHost m_Host;
		
		public Clugs()
		{
			m_strName = "Example Clug";
		}
		
		public Int32 Add(Int32 a, Int32 b)
		{return a + b;}
		
		public string Name
		{
            get { return m_strName; }
            set { m_strName = value; }
        }
		
		public void Show()
		{ 
			MForm mn = new MForm(rtf);
			mn.ShowDialog();
		}

		public IPluginHost Host
		{
			get{return m_Host;}
			set
			{
				m_Host=value;
				m_Host.Register(this);
			}
		}

        #region IPlugin Members


        public string ctxt
        {
            set { pTxt = value; }
        }

        public string path
        {
            set { pat = value; }
        }

        public string rich
        {
            set { rtf = value; }
        }

        #endregion
    }
}
